## org.hibernate.cfg
Class PkDrivenByDefaultMapsIdSecondPass

    java.lang.Object
      org.hibernate.cfg.PkDrivenByDefaultMapsIdSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public class PkDrivenByDefaultMapsIdSecondPass

extends Object
implements SecondPass

See Also:
  Serialized Form

Constructor Summary
`PkDrivenByDefaultMapsIdSecondPass(String referencedEntityName, Ejb3JoinColumn[] columns, SimpleValue value)`

Method Summary
`void` `doSecondPass(Map persistentClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PkDrivenByDefaultMapsIdSecondPass

    public PkDrivenByDefaultMapsIdSecondPass(String referencedEntityName,
                                             Ejb3JoinColumn[] columns,
                                             SimpleValue value)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.